curl --request GET \
--url https://api.statista.ai/v1/marketInsights \
--header 'x-api-key: <api-key>'import requests
url = "https://api.statista.ai/v1/marketInsights"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.statista.ai/v1/marketInsights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"identifier": 123,
"title": "<string>",
"link": "<string>",
"date": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z",
"platform": "de",
"is_premium": true,
"description": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"ranking_score": 123,
"sources": [
{
"title": "<string>",
"subtitle": "<string>"
}
],
"publishers": [
{
"title": "<string>",
"subtitle": "<string>"
}
],
"chargers": [
{
"title": "<string>",
"subtitle": "<string>"
}
],
"covered_time_frame": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"display_text": "<string>"
},
"geolocations": [
{
"name": "<string>",
"code": "<string>",
"id": 123
}
]
}
],
"total_count": 123,
"total_pages": 123
}Market Insights
Authorizations
Query Parameters
The query string to search for content. If omitted or empty/whitespace-only, the API uses a broad default query.
The platform to search for content.
Defaults to en which means English.
de, en, en-de The number of items will be skipped before the first result.
The default value for offset is 0.
This is useful for pagination.
Could be used in combination with size.
x >= 0The max. value depends on which API Package you are using.
The default value for size is 10.
See API-Packages for more information.
An alias for size is limit
x >= 0The page number to return.
The default value for page is 1.
This is useful for pagination.
Could be used in combination with size.
x >= 1The start date to search for content.
All content published after this date will be returned.
We accept a variety of date formats, e.g. YYYY-MM-DD.
For example, 2023-01-01 will return all content published
after or on the January 1st, 2023.
If not set, we will use 3 months into the past as the default value.
The maximum search depth is limited to 20 years from today while the default is 3 months from today. Supported formats are
- RFC 33939 (
%Y-%m-%dT%H:%M:%Slike in ISO 8601) %Y-%m-%d %H:%M:%S- example2024-03-07 12:45:38%d.%m.%Y %H:%M:%S- example03.07.2024 12:45:38%Y/%m/%d %H:%M:%S- example2024/03/07 12:45:38%Y-%m-%d- example2024-03-07(in this case we assume 00:00:00 as time for Start and 23:59:59 for End)%d.%m.%Y- example03.07.2024(in this case we assume 00:00:00 as time for Start and 23:59:59 for End)%Y/%m/%d- example2024/03/07(in this case we assume 00:00:00 as time for Start and 23:59:59 for End)
The end date to search for content.
All content published before this date will be returned.
We accept a variety of date formats, e.g. YYYY-MM-DD.
For example, 2023-01-01 will return all content published
before or on the January 1st, 2023.
If not set, the current date is used.
Supported formats are
- RFC 33939 (
%Y-%m-%dT%H:%M:%Slike in ISO 8601) %Y-%m-%d %H:%M:%S- example2024-03-07 12:45:38%d.%m.%Y %H:%M:%S- example03.07.2024 12:45:38%Y/%m/%d %H:%M:%S- example2024/03/07 12:45:38%Y-%m-%d- example2024-03-07(in this case we assume 00:00:00 as time for Start and 23:59:59 for End)%d.%m.%Y- example03.07.2024(in this case we assume 00:00:00 as time for Start and 23:59:59 for End)%Y/%m/%d- example2024/03/07(in this case we assume 00:00:00 as time for Start and 23:59:59 for End)
Choose how you want the results to be ordered: 0 – Best match first (sorted by relevance) 1 – Most recent first (sorted by publication date) If omitted, results are ordered by best match.
0, 1 Response
The request has succeeded.
Was this page helpful?